Bug 1674959 - gfal2-python: FTBFS in Fedora rawhide/f30
Summary: gfal2-python: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gfal2-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:25 UTC by Fedora Release Engineering
Modified: 2019-02-17 21:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-17 21:59:18 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details
state.log (641 bytes, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:25:19 UTC
gfal2-python failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386804


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix gfal2-python at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gfal2-python will be orphaned. Before branching of Fedora 31,
gfal2-python will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:25:21 UTC
Created attachment 1530104 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:25:22 UTC
Created attachment 1530105 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:25:23 UTC
Created attachment 1530106 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:08:37 UTC
BUILDSTDERR: CMake Error at /usr/share/cmake/Modules/FindBoost.cmake:2100 (message):
BUILDSTDERR:   Unable to find the requested Boost libraries.
BUILDSTDERR:   Boost version: 1.69.0
BUILDSTDERR:   Boost include path: /usr/include
BUILDSTDERR:   Could not find the following Boost libraries:
BUILDSTDERR:           boost_python
BUILDSTDERR:   No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
BUILDSTDERR:   directory containing Boost libraries or BOOST_ROOT to the location of
BUILDSTDERR:   Boost.
BUILDSTDERR: Call Stack (most recent call first):
BUILDSTDERR:   CMakeLists.txt:19 (find_package)

The library name changed from libboost_python3 to libboost_python37 (but the checks should really use libboost_python%{python3_version_nodots} to be futureproof)

Comment 5 Andrea 2019-02-12 13:58:15 UTC
thanks!
i have fixed it locally i will push soon the fix


Note You need to log in before you can comment on or make changes to this bug.